Skip to main content
`Ctrl`+`K`

# TaoIsObjectiveDefined

Checks to see if the user has declared an objective-only routine. Useful for determining when it is appropriate to call `TaoComputeObjective()` or `TaoComputeObjectiveAndGradient()`

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoIsObjectiveDefined(Tao tao, PetscBool *flg)

Not Collective

## Input Parameter

- tao - the `Tao` context

## Output Parameter

- flg - `PETSC_TRUE` if function routine is set by user, `PETSC_FALSE` otherwise

## See Also

TAO: Optimization Solvers, `Tao`, `TaoSetObjective()`, `TaoIsGradientDefined()`, `TaoIsObjectiveAndGradientDefined()`

## Level

developer

## Location

src/tao/interface/taosolver_fg.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages